Package org.optaplanner.core.impl.score.stream.drools.bi

## Class DroolsBiAccumulateFunction<A,​B,​ResultContainer_,​NewA>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractAccumulateFunction<ResultContainer_,​BiTuple<A,​B>,​NewA>
  - - org.optaplanner.core.impl.score.stream.drools.bi.DroolsBiAccumulateFunction<A,​B,​ResultContainer_,​NewA>

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.runtime.rule.AccumulateFunction<DroolsAccumulateContext<ResultContainer_>>`

      public final class DroolsBiAccumulateFunction<A,​B,​ResultContainer_,​NewA>
      extends DroolsAbstractAccumulateFunction<ResultContainer_,​BiTuple<A,​B>,​NewA>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DroolsBiAccumulateFunction()` |
    `DroolsBiAccumulateFunction​(BiConstraintCollector<A,​B,​ResultContainer_,​NewA> collector)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Runnable` | `accumulate​(ResultContainer_ container, BiTuple<A,​B> tuple)` |
    `protected NewA` | `getResult​(ResultContainer_ container)` |
    `protected ResultContainer_` | `newContainer()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractAccumulateFunction

      `accumulate, createContext, getResult, getResultType, init, readExternal, reverse, supportsReverse, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsBiAccumulateFunction

          public DroolsBiAccumulateFunction​(BiConstraintCollector<A,​B,​ResultContainer_,​NewA> collector)

    - #### DroolsBiAccumulateFunction

          public DroolsBiAccumulateFunction()

  - ### Method Detail

    - #### newContainer

          protected ResultContainer_ newContainer()

      Specified by:
        `newContainer` in class `DroolsAbstractAccumulateFunction<ResultContainer_,​BiTuple<A,​B>,​NewA>`

    - #### accumulate

          protected Runnable accumulate​(ResultContainer_ container,
                                        BiTuple<A,​B> tuple)

      Specified by:
        `accumulate` in class `DroolsAbstractAccumulateFunction<ResultContainer_,​BiTuple<A,​B>,​NewA>`

    - #### getResult

          protected NewA getResult​(ResultContainer_ container)

      Specified by:
        `getResult` in class `DroolsAbstractAccumulateFunction<ResultContainer_,​BiTuple<A,​B>,​NewA>`